// -----------------------------------------------
// Options UI and handling
// -----------------------------------------------
//
// Load preferences from options storage. When done, update the options UI with
// values. Then, set up the listener for option changes.
//
async function loadOptions() {
  let prefs = await getPrefs();
  updateOptionsForm(prefs);

  $("input[type=checkbox]").change(function() {
    changeOption($(this));
  });
}

$(function() {
  loadOptions();
});
